#!/bin/bash

. ./param_bash.ini

########################location of file to extract############################

if [ ! -f ${IKIT_FTP_DIR}/install_ora.tar.gz ] ; then
    ERROR "The file ${IKIT_FTP_DIR}/install_ora.tar.gz does not exist" "ikit_3_1"
fi
########################extracting#############################################
cd ${IKIT_FTP_DIR}
WAIT "Extracting Oracle scripts"
${TAR} xzvf ${IKIT_FTP_DIR}/install_ora.tar.gz >> $gen_log 2>&1

if [ "$?" != "0" ]  && [ "$?" != "2" ] ; then
    exit 1
else
    chmod +x ${IKIT_FTP_DIR}/oracle > /dev/null 2>&1
    exit 0
fi
